@import "reset";
@import "mixin";
body, html{
  overflow-x: hidden;
  width: 373px;
  height: 100%;
}
.container{
  position: relative;
  left: -10px;
  max-width: 320px;
  margin: 0 auto;
}
.navbar{
  position: relative;
  top: 23px;
  width: 373px;
  height: 37px;
  &-menu{
    display: flex;
    flex-wrap: wrap;
    position: absolute;
    //right: 0;
    top: 37px;
    width: 182px;
    height: 225px;
    list-style: none;
    background: #F5F5F5;
    &__links{
      text-decoration: none;
      color: #4E4E4E;
    }
    &__item{
      display: flex;
      align-items: center;
      @include tFont;
      width: 183px;
      height: 32px;
      font-weight: normal;
      text-transform: uppercase;
      padding-left: 12px;
      &:hover{
        background: #E5E5E5;
      }
    }
  }
}
.inactive{
  display: none;
}
.menu-active{
  display:flex;
  z-index:1;
  left:138px
}
.burger{
  background-color: #000;
  width: 44px;
  height: 37px;
  position: absolute;
  top: 0;
  left: 276px;
  & span{
    position: absolute;
    width: 17px;
    height: 2px;
    background-color: white;
    top: 50%;
    left: 50%;
    transform: translateX(-50%);
    transition: all 0.5s;
  }
  & span:nth-child(2){
    top: calc(50% - 4px);
  }
  & span:nth-child(3){
    top: calc(50% + 4px);
  }
  &.active span:first-child{
    opacity: 0;
     transform: translateX(50%);
  }
  &.active span:nth-child(2){
    left: 14px;
    transform: rotate(45deg);
    top: 45%;
  }
  &.active span:nth-child(3){
    left: 14px;
    transform:  rotate(-45deg);
    top: 45%;
  }
}

.burger-link{
  text-decoration: none;
  display: block;
  margin: 0 auto;
  width: 14px;
  height: 37px;
}
.header{
  position: relative;
  top: 46px;
  width: 320px;
  height: 150px;
}
@media all and (min-width: 768px) {
  body, html {
    overflow-x: hidden;
    width: 940px;
    height: 100%;
  }
  .container{
    position: relative;
    left: 0;
    max-width: 768px;
    margin: 0 auto;
  }
  .burger {
    visibility: hidden;
    background: #fff;
    &-link {
      display: none;
    }
  }
  .inactive {
    display: flex;
  }
  .navbar {
    position: relative;
    width: 940px;
    height: 55px;

    &-menu {
      display: flex;
      flex-wrap: nowrap;
      position: absolute;
      left: 80px;
      width: 609px;
      height: 55px;
      list-style: none;
      background: #FFF;
      &__links {
        text-decoration: none;
        color: #4E4E4E;
      }
      &__item {
        width: 100%;
        display: flex;
        align-items: center;
        @include tFont;
        font-weight: normal;
        font-size: 11px;
        line-height: 22px;
        text-transform: uppercase;
        padding: 0;
      }
      &__item:hover{
        background-color: #fff;
      }
      &__links:hover {
           color: #57A4A4;
         }
    }
  }
  .header{
    position: relative;
    top: 55px;
    height: 361px;
    &-image{
      width: 768px;
    }
  }
}
@media all and (min-width: 1200px) {
  body, html {
    overflow-x: hidden;
    width: 1600px;
    height: 100%;
  }
  .container{
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
  }
  .burger {
    visibility: hidden;
    background: #fff;
    &-link {
      display: none;
    }
  }
  .inactive {
    display: flex;
  }
  .navbar {
    position: relative;
    width: 1170px;
    height: 55px;
    &-menu {
      display: flex;
      flex-wrap: nowrap;
      position: absolute;
      gap: 43px;
      height: 55px;
      list-style: none;
      margin: 0 auto;
      width: 813px;
      left: 195px;
      background: #FFF;
      align-items: center;
      &__links {
        text-decoration: none;
        color: #4E4E4E;
      }
      &__item {
        width: 100%;
        display: flex;
        align-items: center;
        @include tFont;
        font-weight: normal;
        font-size: 11px;
        line-height: 22px;
        text-transform: uppercase;
        padding: 0;
      }
      &__item:hover{
        background-color: #fff;
      }
      &__links:hover {
        color: #57A4A4;
      }
    }
  }
  .header{
    position: relative;
    margin: 0 auto;
    top: 75px;
    width: 1170px;
    height: 550px;
    &-image{
      width: 1170px;
      height: 550px;
    }
  }
}